<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>Callback functions.</title>
<link href="xsens.css" rel="stylesheet" type="text/css"/>
</head><body>
<img class="logo" src="xsenslogo.jpg" alt="Xsens Logo" />
	<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">Callback functions.</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gac0f8390e2129dc75ec7a76881533f9c0"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___callbacks.html#gac0f8390e2129dc75ec7a76881533f9c0">XsMfmCallback::onScanDone</a> (const <a class="el" href="struct_xs_device_id_array.html">XsDeviceIdArray</a> *devices)</td></tr>
<tr class="memdesc:gac0f8390e2129dc75ec7a76881533f9c0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when a device scan is done.  <a href="#gac0f8390e2129dc75ec7a76881533f9c0">More...</a><br /></td></tr>
<tr class="separator:gac0f8390e2129dc75ec7a76881533f9c0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0c2480993821c645859afec5861f1e3b"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___callbacks.html#ga0c2480993821c645859afec5861f1e3b">XsMfmCallback::onMfmDone</a> (<a class="el" href="struct_xs_device_id.html">XsDeviceId</a> dev, int result)</td></tr>
<tr class="memdesc:ga0c2480993821c645859afec5861f1e3b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when the magfield mapping has completed.  <a href="#ga0c2480993821c645859afec5861f1e3b">More...</a><br /></td></tr>
<tr class="separator:ga0c2480993821c645859afec5861f1e3b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac8334d81379e71480f31445044d452bd"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___callbacks.html#gac8334d81379e71480f31445044d452bd">XsMfmCallback::onMfmError</a> (<a class="el" href="struct_xs_device_id.html">XsDeviceId</a> dev, <a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a> error, const <a class="el" href="struct_xs_string.html">XsString</a> *description)</td></tr>
<tr class="memdesc:gac8334d81379e71480f31445044d452bd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when an error has occurred while handling incoming data.  <a href="#gac8334d81379e71480f31445044d452bd">More...</a><br /></td></tr>
<tr class="separator:gac8334d81379e71480f31445044d452bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:ga9725d524f1101c555588640792c0aa20"><td class="memItemLeft" align="right" valign="top">void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___callbacks.html#ga9725d524f1101c555588640792c0aa20">XsMfMCallbackPlainC::m_onScanDone</a> )(struct <a class="el" href="struct_xs_mf_m_callback_plain_c.html">XsMfMCallbackPlainC</a> *, const <a class="el" href="struct_xs_device_id_array.html">XsDeviceIdArray</a> *devices)</td></tr>
<tr class="memdesc:ga9725d524f1101c555588640792c0aa20"><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when a device scan is done.  <a href="#ga9725d524f1101c555588640792c0aa20">More...</a><br /></td></tr>
<tr class="separator:ga9725d524f1101c555588640792c0aa20"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga131acfc30e7b2fa57554f90a37bbb80a"><td class="memItemLeft" align="right" valign="top">void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___callbacks.html#ga131acfc30e7b2fa57554f90a37bbb80a">XsMfMCallbackPlainC::m_onMfmDone</a> )(struct <a class="el" href="struct_xs_mf_m_callback_plain_c.html">XsMfMCallbackPlainC</a> *, <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> dev, int result)</td></tr>
<tr class="memdesc:ga131acfc30e7b2fa57554f90a37bbb80a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when the magfield mapping has completed.  <a href="#ga131acfc30e7b2fa57554f90a37bbb80a">More...</a><br /></td></tr>
<tr class="separator:ga131acfc30e7b2fa57554f90a37bbb80a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga230a59ca6994e271bf86db890b7077a5"><td class="memItemLeft" align="right" valign="top">void(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___callbacks.html#ga230a59ca6994e271bf86db890b7077a5">XsMfMCallbackPlainC::m_onMfmError</a> )(struct <a class="el" href="struct_xs_mf_m_callback_plain_c.html">XsMfMCallbackPlainC</a> *, <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> dev, <a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a> error, const struct <a class="el" href="struct_xs_string.html">XsString</a> *description)</td></tr>
<tr class="memdesc:ga230a59ca6994e271bf86db890b7077a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Called when an error has occurred while handling incoming data.  <a href="#ga230a59ca6994e271bf86db890b7077a5">More...</a><br /></td></tr>
<tr class="separator:ga230a59ca6994e271bf86db890b7077a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga0c2480993821c645859afec5861f1e3b"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void XsMfmCallback::onMfmDone </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_device_id.html">XsDeviceId</a>&#160;</td>
          <td class="paramname"><em>dev</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>result</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Called when the magfield mapping has completed. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dev</td><td>The deviceid of which the magfieldmapping as completed </td></tr>
    <tr><td class="paramname">result</td><td>The result of the magfield mapping </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gac8334d81379e71480f31445044d452bd"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void XsMfmCallback::onMfmError </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="struct_xs_device_id.html">XsDeviceId</a>&#160;</td>
          <td class="paramname"><em>dev</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a>&#160;</td>
          <td class="paramname"><em>error</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="struct_xs_string.html">XsString</a> *&#160;</td>
          <td class="paramname"><em>description</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Called when an error has occurred while handling incoming data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dev</td><td>The deviceid that generated the error message </td></tr>
    <tr><td class="paramname">error</td><td>The error code that specifies exactly what problem occurred </td></tr>
    <tr><td class="paramname">description</td><td>A string with more details of the specific problem. May be empty, but not NULL. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="gac0f8390e2129dc75ec7a76881533f9c0"></a>
<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual void XsMfmCallback::onScanDone </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="struct_xs_device_id_array.html">XsDeviceIdArray</a> *&#160;</td>
          <td class="paramname"><em>devices</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Called when a device scan is done. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">devices</td><td>The list of deviceids that were detected during the scan </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Variable Documentation</h2>
<a class="anchor" id="ga131acfc30e7b2fa57554f90a37bbb80a"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void(* XsMfMCallbackPlainC::m_onMfmDone) (struct <a class="el" href="struct_xs_mf_m_callback_plain_c.html">XsMfMCallbackPlainC</a> *, <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> dev, int result)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Called when the magfield mapping has completed. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dev</td><td>The deviceid of which the magfieldmapping as completed </td></tr>
    <tr><td class="paramname">result</td><td>The result of the magfield mapping </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga230a59ca6994e271bf86db890b7077a5"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void(* XsMfMCallbackPlainC::m_onMfmError) (struct <a class="el" href="struct_xs_mf_m_callback_plain_c.html">XsMfMCallbackPlainC</a> *, <a class="el" href="struct_xs_device_id.html">XsDeviceId</a> dev, <a class="el" href="group__enums.html#ga31f1629126181b5371b3f3aff1b3bb72">XsResultValue</a> error, const struct <a class="el" href="struct_xs_string.html">XsString</a> *description)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Called when an error has occurred while handling incoming data. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">dev</td><td>The deviceid that generated the error message </td></tr>
    <tr><td class="paramname">error</td><td>The error code that specifies exactly what problem occurred </td></tr>
    <tr><td class="paramname">description</td><td>A string with more details of the specific problem. May be empty, but not NULL. </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a class="anchor" id="ga9725d524f1101c555588640792c0aa20"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void(* XsMfMCallbackPlainC::m_onScanDone) (struct <a class="el" href="struct_xs_mf_m_callback_plain_c.html">XsMfMCallbackPlainC</a> *, const <a class="el" href="struct_xs_device_id_array.html">XsDeviceIdArray</a> *devices)</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Called when a device scan is done. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">devices</td><td>The list of deviceids that were detected during the scan </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->

<div class="tabs">&nbsp;</div>
<hr size="1" />
<address style="text-align: right;">
<small>Generated on Thu Jun 29 2017 for Xsens by <a href="http://www.doxygen.org/index.html">Doxygen</a> 1.8.11</small>
</address>
</body>
</html>
